angular.module('userchatstatusesService',[]).factory('Userchatstatuses',function($http){
	return {
		getPaging:function(filter){
			return $http({method:'POST',url:url_server + 'userchatstatusespaging',data:filter});
		},
		getSelect:function(){
			return $http({method:'POST',url:url_server + 'userchatstatuses/getall'});
		},
		getSelect2:function(filter){
			return $http({method:'POST',url:url_server + 'userchatstatuses/search',data:filter});
		},
		show:function(id){
			return $http.get(url_server+ 'userchatstatuses/'+id);
		},
		save:function(userchatstatusesData){
			return $http({method:'POST',
							url:url_server+'userchatstatuses',
							data:userchatstatusesData});
		},
		crudstore:function(userchatstatusesData){
			return $http({method:'POST',
							url:url_server+'userchatstatuses/crudstore',
							data:userchatstatusesData});
		},
		update:function(id, userchatstatusesData){
			return $http.put(url_server+'userchatstatuses/'+id,userchatstatusesData);
		},
		destroy:function(id){
			return $http.delete(url_server + 'userchatstatuses/'+id);
		}
	};
});
